Name:    kgpg
Summary: Manage GPG encryption keys 
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2+
URL:     https://www.kde.org/applications/utilities/kgpg/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5PrintSupport)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)

%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}
BuildRequires: cmake(KPim5AkonadiContact)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KPim5GrantleeTheme)
BuildRequires: cmake(Grantlee5)


BuildRequires: gpgme-devel

Conflicts: kdeutils-common < 6:4.7.80

Conflicts: kde-l10n < 17.03

Provides:  kdeutils-kgpg = 6:%{version}-%{release}

Requires: gnupg2

%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

desktop-file-edit \
  --add-only-show-in=KDE \
  %{buildroot}%{_kf5_sysconfdir}/xdg/autostart/org.kde.kgpg.desktop



%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%doc AUTHORS
%license LICENSES/*
%{_kf5_bindir}/kgpg
%{_kf5_datadir}/qlogging-categories5/%{name}*
%{_kf5_sysconfdir}/xdg/autostart/org.kde.kgpg.desktop
%{_kf5_metainfodir}/org.kde.kgpg.appdata.xml
%{_kf5_datadir}/applications/org.kde.kgpg.desktop
%{_kf5_datadir}/config.kcfg/kgpg.kcfg
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kgpg.Key.xml
%{_kf5_datadir}/kgpg/
%{_kf5_datadir}/kio/servicemenus/*.desktop
%{_kf5_datadir}/kxmlgui5/kgpg/
%{_kf5_datadir}/icons/hicolor/*/*/*


%changelog
* Tue Sep 10 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
